// A simple example of the Second Law of
// motion: draw an object that accelerates
// towards the right under the influence of
// a constant force (i.e., a constant
// acceleration).

float position = 0;
float speed = 0;
float accel = 0.2;

void setup()
{
  size( 100, 600 );
}

void step()
{
  // Update speed using acceleration
  speed = speed + accel;
  // Update position using speed
  position = position + speed;
}

void draw()
{  
  // Run the physical simulation for
  // one step
  step();
  
  // Draw the world
  background( 80 );
  ellipse( 50, position, 50, 50 );
}
