// A demonstration of the Second Law of motion
// in two dimensions.  Maintain the x and y position,
// and the x and y velocities of the object, and
// apply acceleration and speed to these components
// separately.

// position
float px = 50;
float py = 550;
// velocity
float vx = 2.0;
float vy = -15.0;
// constant acceleration (in this
// case, towards the bottom of the sketch).
float ax = 0.0;
float ay = 0.3;

void setup()
{
  size( 400, 600 );
}

void step()
{
  // Update velocity using acceleration
  vx = vx + ax;
  vy = vy + ay;
  // Update position using velocity
  px = px + vx;
  py = py + vy;
}

void draw()
{ 
  // Run the physical simulation for
  // one step
  step();
  
  // Draw the world
  background( 80 );
  ellipse( px, py, 50, 50 );
}
