// A demonstration of a sliding object losing energy
// to friction, sliding to a stop.

float position = 0;
float speed = 10.0;

// Proportion of speed lost
float damping = 0.02; 

void setup()
{
  size( 600, 100 );
}

void step()
{
  // Lose some speed due to friction
  speed = speed * (1.0 - damping);
  // Update position using speed
  position = position + speed;
}

void draw()
{  
  // Run the physical simulation for
  // one step
  step();
  
  // Draw the world
  background( 80 );
  ellipse( position, 50, 50, 50 );
}
