// A quick demonstration of two objects with very different
// densities (and therefore masses).  Try throwing them at
// each other to see the difference.

import fisica.*;

FWorld world;

void setup()
{
  size( 500, 500 );
  Fisica.init( this );
  world = new FWorld();
  world.setEdges();
  
  FCircle c1 = new FCircle( 50 );
  c1.setDensity( 1000 );
  c1.setPosition( 200, 250 );
  c1.setFill( 255, 0, 0 );
  world.add( c1 );
  
  FCircle c2 = new FCircle( 50 );
  c2.setDensity( 10 );
  c2.setPosition( 400, 250 );
  c2.setFill( 0, 255, 0 );
  world.add( c2 );
  
}

void draw()
{
  background( 255 );
  world.step();
  world.draw();
}
