// A two-dimensional analogue to FirstLaw: 
// move an object at constant speed in 2D,
// separately updating the x and y components
// of its position at every frame.

// Position
float px = 0;
float py = 0;
// Velocity
float vx = 4.0;
float vy = 5.3;

void setup()
{
  size( 500, 500 );
}

void step()
{
  px = px + vx;
  py = py + vy;
}

void draw()
{   
  // Run the physical simulation for
  // one step
  step();
  
  // Draw the world
  background( 80 );
  ellipse( px, py, 50, 50 );
}
