// For fun, a variation of the Second Law demonstration
// that drags back in the old idea of loading and displaying
// an SVG instead of a boring old circle.

float position = 0;
float speed = 0;
float accel = 0.1;

PShape obj;

void setup()
{
  size( 100, 600 );
  obj = loadShape( "dude.svg" );
  shapeMode( CENTER );
}

void step()
{
  // Update speed using acceleration
  speed = speed + accel;
  // Update position using speed
  position = position + speed;
}

void draw()
{  
  // Run the physical simulation for
  // one step
  step();
  
  // Draw the world
  background( #92deff );
  //ellipse( 50, position, 50, 50 );
  shape( obj, 50, position );
}
